# django-power-extensions

Collections of django extensions.

## Collections

### python libraries

- ipython>=7.16.1
- mysqlclient>=1.4.6
- bizerror>=0.4.1
- fastutils>=0.30.0
- requests>=2.24.0
- PyYAML>=5.3.1
- redis>=3.5.3
- pillow>=8.0.0
- croniter>=0.3.35
- python-dateutil>=2.8.1

### django

- django~=2.2.16
- django-click>=2.2.0
- django-apiview>=0.8.3
- django-redis-cache>=3.0.0
- django-simple-tags>=0.6.0

### django hacks

- django-checkbox-normalize>=0.1.2
- django-fullname-localization>=0.2.0

### static libraries

- django-static-jquery3>=5.1.0
- django-static-jquery-ui>=1.12.1.1
- django-static-fontawesome>=5.14.0.0
- django-static-ionicons>=2.0.1.3
- django-static-bootstrap>=4.2.1
- django-static-respond>=1.4.2.3
- django-static-html5shiv>=3.7.3.3
- django-static-echarts>=4.0.4.1
- django-static-adminlte>=2.4.3.2

### django widgets

- django-simple-captcha>=0.5.13
- django-yearmonth-widget>=0.2.1
- django-secure-password-input>=0.1.2
- django-toggle-switch-widget>=0.1.1
- django-cascading-dropdown-widget>=0.2.1
- django-lookup-table-rating-widget>=0.1.1
- django-gazing-select-widget>=0.1.1
- django-ckeditor>=6.0.0

### django middlewares

- django-middleware-global-request>=0.2.0

### django model extentions

- django-mptt>=0.11.0
- django-dataperm-model>=0.1.0
- django-admin-item-owner>=0.2.0
- django-item-owner-model>=0.3.1
- django-safe-fields>=0.1.5

### django admin extensions

- django-import-export>=2.4.0
- django-simple-export-admin>=0.1.4
- django-modeladmin-reorder>=0.3.1
- django-msms-admin>=0.2.1
- django-readedit-switch-admin>=0.4.3
- django-changelist-toolbar-admin>=0.4.0
- django-cards-admin>=0.3.1
- django-admin-fix-ie-compatible>=0.1.1
- django-admin-safe-login>=0.3.3
- django-force-disable-permissions-admin>=0.2.0
- django-with-extra-context-admin>=0.1.0
- django-dynamic-resource-admin>=0.1.1
- django-visit-on-site-in-new-window>=0.1.0
- django-tabbed-changeform-admin>=0.1.6
- django-admin-app-sidebar>=0.1.0
- django-admin-global-sidebar>=0.1.3
- django-horizontal-list-filter>=0.1.2
- django-object-toolbar-admin>=0.1.1

### Simple system

- django-redis-counter>=0.1.1

### Complex system

- django-power-cms>=0.3.3
- django-simple-workflow>=0.1.0
- django-dynamic-model-admin>=0.2.1


## Bug report

Please report any issues at https://github.com/zencore-cn/zencore-issues.

## Releases

### v0.16.2 2020/10/18

1. Fix ipython 7.16.1.

### v0.16.1 2020/10/18

1. Use ipython 7.16.1.

### v0.16.0 2020/10/18

1. Upgrade many packages.

### v0.15.0 2020/08/03

1. Upgrade django-safe-fields to 0.1.5.
1. Upgrade fastutils to 0.19.0.

### v0.14.0 2020/07/19

1. Upgrade django-apiview to 0.3.2.
1. Upgrade bizerror to 0.3.1.

### v0.13.0 2020/07/16

1. Upgrade django-safe-fields to 0.1.4.
1. Upgrade fastutils to 0.14.0.

### v0.12.0 2020/07/01

1. Upgrade django-apiview to 0.3.1.
1. Upgrade fastutils to 0.13.1.

### v0.11.0 2020/06/28

1. Rename django-admin-item-owner to django-item-owner-model, and change the module name.
1. Upgrade django-safe-fields to 0.1.3.
1. Upgrade django-simple-export-admin to 0.1.4.

### v0.10.0 2020/06/27

1. Upgrade django-admin-global-sidebar to 0.1.1.
1. Upgrade fastutils to 0.13.0.
1. Upgrade django-safe-fields to 0.1.2.
1. Upgrade django-click to 2.1.1.
1. Upgrade click to 7.1.2.

### v0.9.0 2020/06/20

1. Add django-safe-fields.
1. Add django-object-toolbar-admin.
1. Upgrade django-changelist-toolbar-admin to 0.4.0.
1. Upgrade fastutils to 0.11.0.

### v0.8.0 2020/05/20

1. Add python-dateutil.
1. Upgrade django-cards-admin to 0.3.1.
1. Upgrade django-horizontal-list-filter to 0.1.1.
1. Upgrade fastutils 0.10.1.
1. Upgrade django-admin-safe-login to 0.3.0.

### v0.7.0 2020/04/27

1. Add django-horizontal-list-filter.
1. Upgrade fastutils to 0.10.0.
1. Upgrade django-simple-tags to 0.6.0.

### v0.6.0 2020/04/23

1. Add django-simple-export-admin.
1. Add django-admin-global-sidebar.
1. Upgrade django-changelist-toolbar-admin to 0.3.0.
1. Upgrade django-power-cms to 0.3.3.
1. Upgrade django-static-jquery3 to 3.4.1.1.

### v0.5.0 2020/03/31

1. Add django-gazing-select-widget.
1. Upgrade django-msms-admin to 0.2.0.
1. Upgrade django-cascading-dropdown-widget to 0.2.0.
1. Upgrade django-yearmonth-widget to 0.2.1.
1. Upgrade django-dynamic-model-admin to 0.2.1.
1. Upgrade django-power-cms to 0.3.2.

### v0.4.0 2020/03/22

1. Add django-admin-app-sidebar.
1. Upgrade django-cards-admin to 0.3.0.
1. Upgrade django-simple-tags to 0.4.0.
1. Upgrade django-tabbed-changeform-admin to 0.1.3.
1. Upgrade django-power-cms to 0.3.1.
1. Upgrade django-msms-admin to 0.1.2.
1. Upgrade django-admin-fix-ie-compatible to 0.1.1.

### v0.3.0 2020/03/19

1. Fix django-click and click incompatible problem.
1. Upgrade django-static-jquery-ui to 1.12.1.1.
1. Upgrade django-static-respond to 1.4.2.2.
1. Upgrade django-yearmonth-widget to 0.2.0.
1. Add admin extension django-visit-on-site-in-new-window.
1. Add admin extension django-tabbed-changeform-admin.
1. Add admin extension django-lookup-table-rating-widget.

### v0.2.0 2020/03/17

1. Add django-dynamic-model-admin.
1. Add django-simple-workflow.

### v0.1.0 2020/03/16

1. First release.